@use '../../../../sass/01-abstracts/variable' as *;

.container-bag{
    position: fixed;
    .title{
        h1{
            font-size: 28px;
            font-weight: 500;
            color: $color-primary;
        }
        hr{
            opacity: .3;
        }
    }
    &__products{
        height: 270px;
        overflow: auto;
        padding-top: 20px;
        &::-webkit-scrollbar {
            width: 4px;
            background-color: #253237;
        }
        &::-webkit-scrollbar-thumb {
            background-color: rgba(46,46,46,.3);
            border-radius: 10px;
        }
        &::-webkit-scrollbar-track {
            background-color: #253237;
        }
        .product{
            display: flex;
            justify-content: space-between;
            position: relative;
            border-bottom: 1px solid #ebebeb;
            margin-bottom: 10px;
            &-image{
                width: 22%;
                height: 95px;
                background-size: contain;
                background-position: center;
                @media (max-width: 768px){
                    height: 75px;
                }
            }
            &-detail{
                width: 77%;
                padding: 10px;
                h4{
                    font-size: 14px;
                    color: $color-primary;
                    font-weight: 500;
                }
                p{
                    font-size: 14px;
                    font-weight: 400;
                    color: #555;
                }
            }
            .btn-close{
                position: absolute;
                top: 0;
                right: 10px;
                bottom: 0;
                margin: auto;
                ion-icon{
                    font-size: 18px;
                }
            }
        }
    }
    &__detail{
        margin-top: 25px;
        table{
            margin: 0;
            width: 100%;
            tr{
                td:nth-child(1){
                    font-weight: 400;
                    color: #9b9b9b;
                    font-size: 16px;
                    text-transform: capitalize;
                    padding: 5px 0;

                }
                td:nth-child(2){
                    font-weight: 400;
                    color: #9b9b9b;
                    font-size: 16px;
                    text-align: right;
                    padding: 5px 0;
                }
                &:last-child{
                    td{
                        color: #253237;
                    }
                }
            }
        }
        button{
            width: 100%;
            margin-top: 15px;
            text-align: center;
            background: #ebebeb;
            padding: 15px;
            font-size: 16px;
            font-weight: 500;
            transition: .3s ease all;
            border-radius: 15px;
            &:hover{
                background: $color-primary;
                color: $white;
            }
        }
    }
    &__empty{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        h3{
            padding-top: 20px;
        }
    }

}

